summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2017-05-19 19:03:51 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2017-05-19 19:04:36 +0200
commitef910784e087717a8596865df7def37dd6fe3b6c (patch)
treeb266e743c0334cc408e6cd4443764aa2cf863173
parentnet-misc/nextcloud-client: add shibboleth USE-flag, bug #617416 (diff)
downloadgentoo-ef910784e087717a8596865df7def37dd6fe3b6c.zip
gentoo-ef910784e087717a8596865df7def37dd6fe3b6c.tar.gz
gentoo-ef910784e087717a8596865df7def37dd6fe3b6c.tar.bz2
net-misc/owncloud-client: 2.3.2 bump, bug #618088
Also add shibboleth USE-flag, bug #617416 This makes qtwebkit an optional dependency Package-Manager: Portage-2.3.5, Repoman-2.3.2
-rw-r--r--net-misc/owncloud-client/Manifest1
-rw-r--r--net-misc/owncloud-client/metadata.xml1
-rw-r--r--net-misc/owncloud-client/owncloud-client-2.3.2.ebuild90
3 files changed, 92 insertions, 0 deletions
diff --git a/net-misc/owncloud-client/Manifest b/net-misc/owncloud-client/Manifest
index a33b552..19b0c39 100644
--- a/net-misc/owncloud-client/Manifest
+++ b/net-misc/owncloud-client/Manifest
@@ -1 +1,2 @@
DIST owncloudclient-2.3.1.tar.xz 12260696 SHA256 93143752234a0bc4c9798b69d8239996d92130eecdc1d93b75e3d49b899f3914 SHA512 2dec3d4b452faca32e15c1a461d3fec97fc1c2e85bbfe2cb02035371a5426b8458be1382ed6b4a1102a4f38241580c3d49980ea388344365297a4a84f8dc9add WHIRLPOOL 49abeb9b9843a024338cd2d7c3a87625f7cd4f832db03513dc4d7b0d5d1908a5691d6f1e7b7437175084c30a5e3e18d837785afa5647971fdcb8e963db2d54b5
+DIST owncloudclient-2.3.2.tar.xz 12266008 SHA256 a1199d2b957a28081aff11a2a7e471ca09c965bbb1b51b1b7b7a8706304f5f09 SHA512 8abe071c28b365c100eb30ed91610640a25a7385f4347f5527289f4664788bda375e9618396ffa3e441c7e473da55bdaf7a5cdd99c8fd5801de78cb945fabb9c WHIRLPOOL 099c963940b6fec67d5d14b8d3a62eaf378617a7e8a73ca9b82c6f82451a6e80a6da4f0f0ea44e6064d5fceada68f6e1591e499e3ea2f6dfe14c6e0efa01537a
diff --git a/net-misc/owncloud-client/metadata.xml b/net-misc/owncloud-client/metadata.xml
index 25d0eab..ba2b9be 100644
--- a/net-misc/owncloud-client/metadata.xml
+++ b/net-misc/owncloud-client/metadata.xml
@@ -8,6 +8,7 @@
<use>
<flag name="dolphin">Install the <pkg>kde-apps/dolphin</pkg> extension</flag>
<flag name="nautilus">Install the <pkg>gnome-base/nautilus</pkg> extension</flag>
+ <flag name="shibboleth">Build support for Shibboleth single sign-on</flag>
<flag name="sftp">Enable sftp transfer support via <pkg>net-libs/libssh</pkg></flag>
</use>
</pkgmetadata>
diff --git a/net-misc/owncloud-client/owncloud-client-2.3.2.ebuild b/net-misc/owncloud-client/owncloud-client-2.3.2.ebuild
new file mode 100644
index 00000000..819fe38
--- /dev/null
+++ b/net-misc/owncloud-client/owncloud-client-2.3.2.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Synchronize files from ownCloud Server with your computer"
+HOMEPAGE="http://owncloud.org/"
+SRC_URI="http://download.owncloud.com/desktop/stable/${P/-}.tar.xz"
+
+LICENSE="CC-BY-3.0 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc dolphin nautilus samba +sftp shibboleth test"
+
+COMMON_DEPEND=">=dev-db/sqlite-3.4:3
+ dev-libs/qtkeychain[qt5]
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsql:5
+ sys-fs/inotify-tools
+ virtual/libiconv
+ dolphin? (
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/kio:5
+ )
+ nautilus? ( dev-python/nautilus-python )
+ samba? ( >=net-fs/samba-3.5 )
+ sftp? ( >=net-libs/libssh-0.5 )
+ shibboleth? ( dev-qt/qtwebkit:5 )
+"
+RDEPEND="${COMMON_DEPEND}
+ !net-misc/ocsync
+ !net-misc/nextcloud-client
+"
+DEPEND="${COMMON_DEPEND}
+ dev-qt/linguist-tools:5
+ doc? (
+ dev-python/sphinx
+ dev-texlive/texlive-latexextra
+ virtual/latex-base
+ )
+ dolphin? ( kde-frameworks/extra-cmake-modules )
+ test? (
+ dev-util/cmocka
+ dev-qt/qttest:5
+ )
+"
+
+S=${WORKDIR}/${P/-}
+
+src_prepare() {
+ # Keep tests in ${T}
+ sed -i -e "s#\"/tmp#\"${T}#g" test/test*.cpp || die "sed failed"
+
+ if ! use nautilus; then
+ pushd shell_integration > /dev/null || die
+ cmake_comment_add_subdirectory nautilus
+ popd > /dev/null || die
+ fi
+ default
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+ -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/${PF}
+ -DWITH_ICONV=ON
+ -DWITH_DOC=$(usex doc)
+ -DCMAKE_DISABLE_FIND_PACKAGE_KF5=$(usex !dolphin)
+ -DBUILD_WITH_QT4=OFF
+ -DCMAKE_DISABLE_FIND_PACKAGE_Libsmbclient=$(usex !samba)
+ -DCMAKE_DISABLE_FIND_PACKAGE_LibSSH=$(usex !sftp)
+ -DNO_SHIBBOLETH=$(usex !shibboleth)
+ -DUNIT_TESTING=$(usex test)
+ )
+
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ if ! use doc ; then
+ elog "Documentation and man pages not installed"
+ elog "Enable doc USE-flag to generate them"
+ fi
+}